package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KontrakKinerjaVO extends BaseMasterVO{
	@ManyToOne
	@JoinColumn(name = "ObjectUnitKerjaFk")
	@NotNull(message="Unit Kerja tidak boleh kosong")
	@Caption(value="Unit Kerja")
	private DepartemenVO unitKerja;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKamusIndikatorFk")
	@NotNull(message="Kamus Indikator tidak boleh kosong")
	@Caption(value="Kamus Indikator")
	private KamusIndikatorVO kamusIndikator;
		
	@ManyToOne
	@JoinColumn(name = "peranFk")
	@NotNull(message="Peran tidak boleh kosong")
	@Caption(value="Peran")
	private PeranVO peran;
	
	@Column(name = "Tahun", nullable = true)
	@Caption(value="Tahun")
	private Integer tahun;
	
	@Column(name = "pencapaian", nullable = true)
	@Caption(value="Pencapaian")
	private String pencapaian;
	
	@Column(name = "bobot", nullable = true)
	@Caption(value="bobot")
	private Integer bobot;
	
	@Column(name = "program", nullable = true)
	@Caption(value="program")
	private String program;

	public PeranVO getPeran() {
		return peran;
	}

	public DepartemenVO getUnitKerja() {
		return unitKerja;
	}

	public void setUnitKerja(DepartemenVO unitKerja) {
		this.unitKerja = unitKerja;
	}

	public void setPeran(PeranVO peran) {
		this.peran = peran;
	}

	public Integer getTahun() {
		return tahun;
	}

	public void setTahun(Integer tahun) {
		this.tahun = tahun;
	}

	public String getPencapaian() {
		return pencapaian;
	}

	public void setPencapaian(String pencapaian) {
		this.pencapaian = pencapaian;
	}

	public KamusIndikatorVO getKamusIndikator() {
		return kamusIndikator;
	}

	public void setKamusIndikator(KamusIndikatorVO kamusIndikator) {
		this.kamusIndikator = kamusIndikator;
	}

	public String getProgram() {
		return program;
	}

	public void setProgram(String program) {
		this.program = program;
	}

	public Integer getBobot() {
		return bobot;
	}

	public void setBobot(Integer bobot) {
		this.bobot = bobot;
	}
	
}
